Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000336Core InformRules and rulebookspublic2010-10-20 16:292010-10-28 00:31
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000336: Rule fails to set the I6 variable ``self,'' despite the fact that it has a reference to a ``something''
DescriptionThe first instead rule in the attached source, derived from Example 383, ``In Fire or in Flood,'' results in the following line of I6:

if ((action ==##Examine) && (actor==player) && ((noun ofclass K2_thing)) && (self=actor,true) && ((Prop_0()))) { ! Runs only when pattern matches

So self is set to the actor. But in the second instead rule, self is never reset to the noun, so it prints out ``You examine the yourself,'' in contradiction of WI 8.6.
Minimal Source Text To Reproduce
There is a room.
Instead of examining something when something is part of the noun, make no decision.
Instead of examining something, say "You examine the [printed name]."
The torch is a thing carried by the player.
Test me with "x torch."
Additional InformationThe same test case produces similar results with Example 383.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000714)
jmcgrew (administrator)
2010-10-21 00:03

Confirmed. I'm not sure why self is being changed in the first place.
(0000715)
EmacsUser (manager)
2010-10-21 07:25

Oops. Thanks; I meant this to be mild in the first place.
(0000736)
graham (administrator)
2010-10-24 05:19

Fixed.

- Issue History
Date Modified Username Field Change
2010-10-20 16:29 EmacsUser New Issue
2010-10-21 00:03 jmcgrew Note Added: 0000714
2010-10-21 00:03 jmcgrew Status new => confirmed
2010-10-21 00:03 jmcgrew Severity serious => mild
2010-10-21 07:25 EmacsUser Note Added: 0000715
2010-10-24 05:19 graham Note Added: 0000736
2010-10-24 05:19 graham Status confirmed => resolved
2010-10-24 05:19 graham Resolution open => fixed
2010-10-24 05:19 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker